'use strict';
define([
  'angular',

  //'widgets/mapapp/selecttool/directives/selecttoolwidget',
  'widgets/mapapp/exportmap/directives/toolbarexportmap',
  'widgets/mapapp/exportmap/directives/toolbarsharemapsocial',

  'angular-strap',
  'angular-strap.tpl',

  'angular-route',

  'toastr',
  'ol3js',
  'ng-table',
], function(angular, toolbarexportmap, toolbarsharemapsocial) {
  // generation du module
  var gcexportmap = angular.module('gc_exportmap', [
    'mgcrea.ngStrap',
    'ngRoute',
    'pascalprecht.translate',
  ]);

  gcexportmap.directive('toolbarexportmap', toolbarexportmap);
  gcexportmap.directive('toolbarsharemapsocial', toolbarsharemapsocial);

  return gcexportmap;
});
